Project

Profile

Help

Task #2036

determine how to re-enable RHEL 5 unit test runner

Added by dkliban@redhat.com about 4 years ago. Updated over 1 year ago.

Status:
CLOSED - WONTFIX
Priority:
High
Assignee:
-
Category:
-
Sprint/Milestone:
-
Start date:
Due date:
% Done:

0%

Estimated time:
Platform Release:
Groomed:
No
Sprint Candidate:
Yes
Tags:
Pulp 2
Sprint:
Quarter:

Description

The PR builder for RHEL 5 has been disabled because some dependencies could not be installed on RHEL 5. m2crypto is an important dependency that is failing to install on RHEL 5.

This task is to investigate the installation failures and determine how to resolve them. It is possible that we will not be able to overcome this problem without help from other projects.

Best case scenario, we will re-enable our RHEL 5 unit test runner and continue supporting RHEL 5.

Another possible outcome is that Pulp drops support for running pulp-agent on RHEL 5 systems.

History

#1 Updated by dkliban@redhat.com about 4 years ago

  • Subject changed from Re-enable RHEL 5 unit test runner to determine how to re-enable RHEL 5 unit test runner
  • Description updated (diff)

#2 Updated by dkliban@redhat.com about 4 years ago

  • Tracker changed from Issue to Task
  • Priority changed from Normal to High

#3 Updated by mhrivnak about 4 years ago

  • Sprint Candidate changed from No to Yes

#5 Updated by dkliban@redhat.com about 4 years ago

  • Status changed from NEW to CLOSED - WONTFIX

m2crypto is no longer available for RHEL5. We will not re-enable the test runner.

#6 Updated by dkliban@redhat.com about 4 years ago

  • Status changed from CLOSED - WONTFIX to NEW

It seems that it is possible to install m2crypto on EL5. However, the version needs to be pinned to not the latest.

#7 Updated by dkliban@redhat.com about 4 years ago

  • Status changed from NEW to CLOSED - WONTFIX

#8 Updated by bmbouter over 1 year ago

  • Tags Pulp 2 added

Please register to edit this issue

Also available in: Atom PDF